Qt 4.8.1 and botan



  • Hi, I'm trying to use the newest botan version.

    Current Stable Series (1.10)
    The latest version of the current stable series, from branch net.randombit.botan.1_10, is Version 1.10.2, 2012-06-17: tar/gz for 1.10.2
    it's located @ "http://botan.randombit.net/download.html":http://botan.randombit.net/download.html

    What I can see from certain posts and video tutorials on the net, is that qt creator sources comes with botan 1.8.

    The bottan .dll from the MSI setup of the official site is compiled using Microsoft visual studio so I can't use it since it gives alot of unresolved external errors.

    What I'm wondering is it possible to compile the new botan using qt or should I use the version that comes with qt sources, and what would be the steps to make it work, Thanks in advance.



  • That's not a matter of Qt. If I understood it correctly (I just had a short look on the botan wep page), it doesn't use Qt at all. So you just need to compile it with your tool chain - which is MinGW in your case. It should be quite easy if you have the prerequisites.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.